Preview a runtime entitlement grant.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/entitlement-operations/entitlements/grant-preview"), Content = new StringContent("{ \"PlanId\": \"example\", \"OwnerEntityInstanceId\": \"example\", \"BeneficiaryEntityInstanceIds\": [ \"example\" ], \"StartsAtDate\": \"2026-04-15\", \"StartsAtTime\": \"example\", \"CoveredResources\": [ { \"EntityDefinitionId\": \"example\", \"EntityInstanceId\": \"example\" } ], \"IssuedTermsText\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/entitlement-operations/entitlements/grant-preview';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"PlanId":"example","OwnerEntityInstanceId":"example","BeneficiaryEntityInstanceIds":["example"],"StartsAtDate":"2026-04-15","StartsAtTime":"example","CoveredResources":[{"EntityDefinitionId":"example","EntityInstanceId":"example"}],"IssuedTermsText":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/entitlement-operations/entitlements/grant-preview \ --header 'Content-Type: application/json' \ --data '{ "PlanId": "example", "OwnerEntityInstanceId": "example", "BeneficiaryEntityInstanceIds": [ "example" ], "StartsAtDate": "2026-04-15", "StartsAtTime": "example", "CoveredResources": [ { "EntityDefinitionId": "example", "EntityInstanceId": "example" } ], "IssuedTermsText": "example" }'Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Preview a grant before creating a runtime entitlement.
object
Plan to issue.
Selected owner party instance.
Explicit delegated beneficiaries when the model requires them.
Optional workspace-local grant start date. Must be supplied with StartsAtTime.
Optional workspace-local grant start time. Must be supplied with StartsAtDate.
Covered resources selected at grant time for grant-selected resource models.
Grant-time covered resource reference.
object
Entity definition of the covered resource.
Entity instance id of the covered resource.
Issued terms text captured with the grant when the plan requires or allows it.
Examplegenerated
{ "PlanId": "example", "OwnerEntityInstanceId": "example", "BeneficiaryEntityInstanceIds": [ "example" ], "StartsAtDate": "2026-04-15", "StartsAtTime": "example", "CoveredResources": [ { "EntityDefinitionId": "example", "EntityInstanceId": "example" } ], "IssuedTermsText": "example"}Preview a grant before creating a runtime entitlement.
object
Plan to issue.
Selected owner party instance.
Explicit delegated beneficiaries when the model requires them.
Optional workspace-local grant start date. Must be supplied with StartsAtTime.
Optional workspace-local grant start time. Must be supplied with StartsAtDate.
Covered resources selected at grant time for grant-selected resource models.
Grant-time covered resource reference.
object
Entity definition of the covered resource.
Entity instance id of the covered resource.
Issued terms text captured with the grant when the plan requires or allows it.
Examplegenerated
{ "PlanId": "example", "OwnerEntityInstanceId": "example", "BeneficiaryEntityInstanceIds": [ "example" ], "StartsAtDate": "2026-04-15", "StartsAtTime": "example", "CoveredResources": [ { "EntityDefinitionId": "example", "EntityInstanceId": "example" } ], "IssuedTermsText": "example"}Preview a grant before creating a runtime entitlement.
object
Plan to issue.
Selected owner party instance.
Explicit delegated beneficiaries when the model requires them.
Optional workspace-local grant start date. Must be supplied with StartsAtTime.
Optional workspace-local grant start time. Must be supplied with StartsAtDate.
Covered resources selected at grant time for grant-selected resource models.
Grant-time covered resource reference.
object
Entity definition of the covered resource.
Entity instance id of the covered resource.
Issued terms text captured with the grant when the plan requires or allows it.
Examplegenerated
{ "PlanId": "example", "OwnerEntityInstanceId": "example", "BeneficiaryEntityInstanceIds": [ "example" ], "StartsAtDate": "2026-04-15", "StartsAtTime": "example", "CoveredResources": [ { "EntityDefinitionId": "example", "EntityInstanceId": "example" } ], "IssuedTermsText": "example"}Responses
Section titled “Responses”OK
object
Grant preview response used by the WebApp grant dialog.
object
Compact customer-owned entity instance reference.
object
object
object
object
object
Example
{ "Data": { "ModelType": 0, "AccessMode": 0, "PartyType": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
Grant preview response used by the WebApp grant dialog.
object
Compact customer-owned entity instance reference.
object
object
object
object
object
Example
{ "Data": { "ModelType": 0, "AccessMode": 0, "PartyType": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Grant preview response used by the WebApp grant dialog.
object
Compact customer-owned entity instance reference.
object
object
object
object
object
Example
{ "Data": { "ModelType": 0, "AccessMode": 0, "PartyType": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}